/ / Django 1.5: Python 2.7 alebo Python 3 - django, python-2.7, python-3.x

Django 1.5: Python 2.7 alebo Python 3 - django, python-2.7, python-3.x

Django práve uvoľnili verziu 1.5.

Teraz podporuje Python 3, moja otázka je úplnájednoduché: S touto 1.5 verziou by som mal používať Python 2.7 alebo Python 3? Predpokladám, že s programom Python 3 dôjde k problémom s tretími stranami, nie?

Vo vašom prípade, čo by ste urobili?

odpovede:

5 pre odpoveď č. 1

V poznámkach k vydaniu sa jasne uvádza, že podpora Pythonu 3 je v 1.5 experimentálne, A áno, aplikácie tretích strán budú problémom.


0 pre odpoveď č. 2

Ak by som začal nový vývoj, ktorý by somnepredpokladal som, že budem žiť až po tom, ako bude verzia 1.6 uvoľnená (keď má byť podpora Pythonu 3 pripravená na výrobu a dúfajme, že aplikácie tretích strán dohnali), potom áno, išiel by som s Pythonom 3. Je to výrazne čistší ako Python 2.7.

Ale ak chcete, aby vaše stránky v blízkej budúcnosti fungovali, držte sa 2,7.


0 pre odpoveď č. 3

Aj ja by som používal python 2.7, pretože veľa aplikácií a knižníc nie je pripravených na Python 3.x

PIL nefunguje správne s programom python 3